Subject: RE: (ngtrans) RE:

From: [email-masked]
Date: Thu, 14 Sep 2000 17:41:20 +0100

-----Original Message-----
From: Hesham Soliman (EPA)
To: [email-masked]'
Cc: [email-masked]
Sent: 14/9/2000 5:13 ii
Subject: RE: (ngtrans) RE: 

Hi George, 
...
=> Yes that is one of the cases I had in mind but not all. 
Unfortunately, I think we might need some complexity here ;) 
That's why I was wondering about the HA, because I understood 
that you didn't want to run MIPv4 at all. Doing a proxy ARP 
needs to be triggered by something. In MIPv4 that is a home 
registration of course. That's what I'm missing. 

GT> Yes that it the case.

This scenario made me think more about how TEP in general 
maps IPv4 and IPv6 addresses. 

Even in the other case where there is DSTM at home, If the 
IPv6 node is in the foreign domain, does it not still need 
to reverse tunnel through the Home TEP ? Otherwise how does 
the home TEP do the mapping ? 

GT> It needs to send a DHCPv6 packet to its Home Net requesting a DHCPv4
address. The TEP tunnel at the MN's side terminates on the MN's Home IPv6
address. So I do not see a problem there...

If it sends packets directly in its foriegn domain, the incoming 
IPv4 packets ( coming into the home domain) will be received by 
the TEP and it will have no idea how to map them. 

GT> The TEP knows the Home IPv6 Address of the MN (from the first outgoing
packet), yes? So incoming v4 packets are encapsulated by the TEP and
forwarded to MN's Home IPv6 address, they are then, picked up by the HA and
forwarded to MN's current location using MIPv6. The MN can even send a BU to
the TEP so packets go straight to it... 

I do not see the problem?? but I might be missing the point...

George

---

From: [email-masked]
Date: Thu, 14 Sep 2000 16:49:20 +0100

Hi Hesham,

I think Francis (thanks!) has made most of the points but see below some
more.

> From:	Francis Dupont [SMTP:[email-masked]]
> Sent:	Thursday, September 14, 2000 3:54 PM
> To:	Hesham Soliman (EPA)
> Cc:	[email-masked]'; [email-masked]'
> Subject:	Re: (ngtrans) RE: 
> 
>  In your previous mail you wrote:
> 
>    Ok, let me explain properly what I meant. My question
>    is: If an IPv6 MN is in a foreign domain. can it request
>    an IPv4 address from it's home domain ? ie. Home AIIH ?
> 
> => it can do what it wants. I think there are three policies:
>  - local (ie. foreign domain). Simple but perhaps too simple.
>  - home (ie. home domain/AIIH). Not hard, this can be a good
>    or a bad choice...
>  - close to the peer. Harder but the best if there is only one peer.
>    (of course the knowledge of what/where the peer is is needed).
> 
	Yes, the MN can decide to send a DHCPv6 over MIPv6 packet to its
home network. I guess you may need reverse tunneling but in principle yes.

>    If the answer is yes, then how do IPv4 packets addressed to
>    that IPv4 address get routed to the IPv6 MN's subnet in the 
>    foreign domain ?
> 
> => they are routed according to IPv4 routing to the TEP, then
> they are IPv6 routed to the MN through the HA (if not optimized) or
> directly with a source-route (if optimized, I don't see a good
> reason to be and stay not optimized). If the TEP and the HA
> are colocated then you have twice the code on the box but the
> IPv6 routing is garanteed to be optimized (in fact as good as it can be).
> 
	Francis covered the case in which the Home Network also runs DSTM.
In this case the MN will get an IPv4 address back and then it will have to
use IPv4 over IPv6(tep) over MIPv6 in order to send the packet to the Home
Agent or IPv4 over IPv6(tep) if the home TEP is directly reachable.

	The other case is when the Home Network DOES NOT run DSTM but it
does run DHCPv4. Is that what you are thinking? In this case the MN needs to
send a DHCPv4 packet over a MIPv6 reverse tunnel and get an IPv4 address.
This addressed will need to be relayed to the MN by the HA, which will also
now have to run proxy ARP for the IPv4 address of the MN in order to capture
incoming IPv4 packets. I think that one might be able to implement something
like a Home Agent that supports Mobile IPv4 and Mobile IPv6 but tunnels
everything over MIPv6 in order to accommodate the above case but I tried to
avoid this case in the draft since I was aiming for something simple.

	Was that you point?

	Regards
	George

---

From: [email-masked]
Date: Fri, 15 Sep 2000 10:09:43 +0100

Hesham,

Am I right to say that your issue is generally about incoming connections in
DSTM rather than the DSTM-SIIT and DSTM-MIPv6 drafts?

	....
	You say:
>    Does the Border router or TEP know that this IPv4
>    address should be routed to subnet X where the MN's HA is ? 
> 
	You are talking about incoming sessions yes?
	Here is the diagram from DSTMv1 that described incoming sessions in
detail (removed in v2)

	   DNSv4  AIIH   Y4          Z4
	   DNSv6         Y6
	    |      <. . . . . . . . . |   - ask for the IPv4 address of X
	    |            |            |   - this request arrives to the AIIH
Server
	    |            |            |
	    |            |            |   - if node X does not have already
a
	    |            |            |     temporary IPv4 address assigned
then the
	    |            |            |     AIIH allocates an IPv4 address
and
	    |<=====      |            |     registers it in the DNS.
	    |      . . . . . . . . . >|   - AIIH returns the IPv4 address to
node Z4
	    |            |            |
	    |            |<-----------|   - Z4 sends an IPv4 packet which
arrives at Y4
	    |      <=====|            |   - Y4 asks the AIIH server for the
IPv6 address
	    |            |            |     corresponding to X4.
	    |      =====>|            |   - AIIH server responds
	    |<++++++++++ |            |   - The packet is tunneled to node
X6

	I think you are worried about the part that says: "Y4 asks the AIIH
server for the IPv6 address corresponding to X4"

	I think the intention there was for the TEP to use DNS to get the
IPv4 address (now assigned) of the IPv6 destination. Another way would be to
use the mechanisms you have in DSTM/SIIT draft to proactively update all the
TEPs of the site with the mappings?

	Cheers
	George

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Fri, 15 Sep 2000 23:10:08 +1100

=> Ah! You should reread the DSTM draft. The TEP encapsulates
IPv4 traffic to the MN into IPv6. The communication between the MN and
the TEP is done by a IPv4 over IPv6 tunnel.

   Because the DSTM draft does not really say how the IPv6-IPv4
   mapping should be done.

=> there is no mapping nor translation. All nodes have a global IPv6
address (at least). A global IPv4 address and a TEP is allocated to
an IPv6 node which needs to communicate with an IPv4 only node.
There is *no* relationship between addresses, the IPv4 address
is just pick up from a pool (this pool can (and will) be smaller
than the number of nodes then scenario 2 has a DOS attack).

I think either I didn't explain my question properly or you're 
answering the wrong question. But please refer to George's
email I think he understood what I meant. Sorry if I wasn't
clear  !

Cheers,
Hesham